Subject: bug#2755: describe-char says that DejaVu Sans Mono is being used to display a raw character

From: Kenichi Handa <[email-masked]>
Date: Thu, 02 Apr 2009 21:29:41 +0900

In article <[email-masked]>, Juanma Barranquero <[email-masked]> writes:

> As a consequence of bug#2741, after vc-annotate I get a buffer that is
> nominally utf-8-dos but contains raw bytes, for example:

> ca005e53 test.txt (Juanma Barranquero 2008-01-29 08:56:38 +0000   32)
> ;;; Preparaci\363n

> If I `describe-char' the \363 character, I get:

>           character:   (4194291, #o17777763, #x3ffff3)
>   preferred charset: eight-bit (Raw bytes 128-255)
>          code point: 0xF3
>              syntax: w 	which means: word
>         buffer code: #xF3
>           file code: not encodable by coding system utf-8-dos
>             display: by this font (glyph code)
>       uniscribe:-outline-DejaVu Sans
> Mono-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1 (#x03)

>   Character code properties: customize what to show

>   There are text properties here:
>     face                 vc-annotate-face-FF3F3F
>     fontified            t

I can't reproduce that problem on GNU/Linux system.

> which seems wrong. In fact, I can only reproduce this at work; on my
> laptop, with a very similar font setup (both have nearly identical
> fonts, including the very same version of DejaVu Sans Mono)
> `describe-char' says that it has no font available for that character.

> The relevant part of the font log:

> font for: (243 . iso-8859-1)

This is very strange.  243 is the byte code of that raw-byte
character #x3ffff3.  But, usually the log should say that
the character code is #x3ffff3, And, it says that the
character has `charset' text property `iso-8859-1'.  But,
describe-char doesn't show that property.

> list: -outline-DejaVu Sans Mono-*-mono-*-iso8859-1
>   -outline-DejaVu Sans Mono-normal-italic-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-bold-italic-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-bold-normal-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-normal-normal-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-normal-italic-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-bold-italic-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-bold-normal-normal-mono-*-c-*-iso8859-1
>   -outline-DejaVu Sans Mono-normal-normal-normal-mono-*-c-*-iso8859-1
> sort-by: -*-normal-normal-normal-*-13-*
>   uniscribe:-outline-DejaVu Sans Mono-normal-normal-normal-mono-*-c-*-iso8859-1

Is it a Windows specific problem?

---
Kenichi Handa
[email-masked]